classification
Title: Add private _PyErr_GetExcInfo() function which accepts a tstate argument
Type: enhancement Stage: resolved
Components: C API Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jd, vstinner
Priority: normal Keywords: patch

Created on 2019-12-30 10:36 by jd, last changed 2020-01-15 12:45 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17752 merged jd, 2019-12-30 10:41
PR 18010 merged vstinner, 2020-01-15 09:21
Messages (5)
msg359029 - (view) Author: Julien Danjou (jd) * Date: 2019-12-30 10:36
PyErr_GetExcInfo does not allow to retrieve exception information for an arbitrary thread. As it calls `_PyThreadState_GET` itself, it's impossible to get exception information for a different thread.
msg359030 - (view) Author: Julien Danjou (jd) * Date: 2019-12-30 10:37
Relevant python-dev thread: https://mail.python.org/archives/list/python-dev@python.org/thread/QVMFP76R35SXUIM2WPPVPV5XCVMKPDEB/#TLP6MWNML4PRKFFGXHCKNEUMN6UIQ4MT
msg359917 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-01-13 16:30
New changeset 3430c55417f59078ac397c343894a3ee82a39624 by Victor Stinner (Julien Danjou) in branch 'master':
bpo-39164: Add private _PyErr_GetExcInfo() function (GH-17752)
https://github.com/python/cpython/commit/3430c55417f59078ac397c343894a3ee82a39624
msg359918 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-01-13 16:31
Thanks Julien Danjou.
msg360049 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-01-15 12:45
New changeset 3f12ac18a407983a23d43ae785e805e773571477 by Victor Stinner in branch 'master':
bpo-39164: Fix compiler warning in PyErr_GetExcInfo() (GH-18010)
https://github.com/python/cpython/commit/3f12ac18a407983a23d43ae785e805e773571477
History
Date User Action Args
2020-01-15 12:45:45vstinnersetmessages: + msg360049
2020-01-15 09:21:26vstinnersetpull_requests: + pull_request17409
2020-01-13 16:31:03vstinnersetstatus: open -> closed
versions: - Python 3.7, Python 3.8
title: PyErr_GetExcInfo does not allow to retrieve for an arbitrary thread -> Add private _PyErr_GetExcInfo() function which accepts a tstate argument
messages: + msg359918

resolution: fixed
stage: patch review -> resolved
2020-01-13 16:30:21vstinnersetnosy: + vstinner
messages: + msg359917
2019-12-30 10:41:00jdsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17188
2019-12-30 10:37:18jdsetmessages: + msg359030
2019-12-30 10:36:38jdcreate